"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.cleanGit = cleanGit;
exports.stashChanges = stashChanges;

var _stripAnsi = _interopRequireDefault(require("strip-ansi"));

var _execa = _interopRequireDefault(require("execa"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function cleanGit(cwd) {
  const trackedChanged = (0, _stripAnsi.default)(_execa.default.sync('git', ['status', '-s'], {
    all: true,
    reject: false,
    cwd,
    cleanup: true
  }).stdout);
  return trackedChanged.length === 0;
}

function stashChanges() {
  _execa.default.sync('git', ['stash', '-u']);

  throw new Error('Failed to perform action cleanly. Stashing git changes...');
}